NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SilhouetteFlangeBuilder Class Reference

Represents a NXOpen.Features.SilhouetteFlange builder More...

Inheritance diagram for NXOpen.Features.SilhouetteFlangeBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OutputSurfaceOptions { BlendFlange, PipeOnly, FlangeOnly }
 Output surface options More...
 
enum  ReferenceDirectionOptions { FaceNormal, Vector, NormalDraft, VectorDraft }
 Reference direction options More...
 
enum  Types { Basic, AbsoluteGap, VisualGap }
 Silhouette flange creation types More...
 

Public Member Functions

unsafe void CreatePipe ()
 Create the tube from the given inputs. More...
 
unsafe NXOpen.Curve GetCenterCurve ()
 Return the center curve More...
 
unsafe bool GetIsDirectionFlipped ()
 A value indicating whether to flip the direction. More...
 
unsafe bool GetIsSideFlipped ()
 Returns a value indicating whether to flip the side. More...
 
unsafe NXOpen.Curve GetSilhouetteCurve ()
 Return the silhouette curve More...
 
unsafe void SetIsDirectionFlipped (bool flipDirection)
 Sets a flag indicating if the direction is flipped. More...
 
unsafe void SetIsSideFlipped (bool flipSide)
 Sets a value indicating whether to flip the side. More...
 
unsafe void UpdateLawSpine ()
 Update the spine curve in length/angle/radius laws. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.GeometricUtilities.LawBuilder 
AngleLaw [get]
 Returns the angle law. More...
 
unsafe NXOpen.Section BaseCurves [get]
 Returns the base curves. More...
 
unsafe NXOpen.ScCollector BaseFaces [get]
 Returns the base faces. More...
 
unsafe int BaseFactor [get, set]
 Returns or sets the base pipe continuity factor. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
BasePipeContinuity [get]
 Returns the base pipe continuity. More...
 
unsafe bool CreateCurves [get, set]
 Returns or sets a value that indicates whether to create curves. More...
 
unsafe bool ExtendFlange [get, set]
 Returns or sets a value that indicates whether to extend flange until the boundary edges of the base faces. More...
 
unsafe int FlangeFactor [get, set]
 Returns or sets the flange pipe continuity factor. More...
 
unsafe
NXOpen.GeometricUtilities.Continuity 
FlangePipeContinuity [get]
 Returns the flange pipe continuity More...
 
unsafe NXOpen.Expression Gap [get]
 Returns the gap More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
LengthLaw [get]
 Returns the length law. More...
 
unsafe bool MergeFacesIfPossible [get, set]
 Returns or sets a value that indicates whether to the merge faces if possible More...
 
unsafe
NXOpen.Features.SilhouetteFlangeBuilder.OutputSurfaceOptions 
OutputSurfaceOption [get, set]
 Returns or sets the output surface option More...
 
unsafe
NXOpen.Features.SelectFeature 
ParentFeature [get]
 Returns the parent feature. More...
 
unsafe double PositionTolerance [get, set]
 Returns or sets the position tolerance More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RadiusLaw [get]
 Returns the radius law. More...
 
unsafe
NXOpen.Features.SilhouetteFlangeBuilder.ReferenceDirectionOptions 
ReferenceDirectionOption [get, set]
 Returns or sets the reference direction option More...
 
unsafe NXOpen.ScCollector ReferenceFaces [get]
 Returns the reference faces. More...
 
unsafe NXOpen.Direction ReferenceVector [get, set]
 Returns or sets the reference vector More...
 
unsafe bool ShowPipe [get, set]
 Returns or sets a value that indicates whether to show pipe More...
 
unsafe double TangentTolerance [get, set]
 Returns or sets the tangent tolerance More...
 
unsafe bool TrimBaseFaces [get, set]
 Returns or sets a value that indicates whether to trim base faces More...
 
unsafe
NXOpen.Features.SilhouetteFlangeBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SilhouetteFlange builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSilhouetteFlangeBuilder

Default values.

Property Value

AngleLaw.Function

ft

AngleLaw.LawType

MultiTransition

AngleLaw.Parameter

t

BaseFactor

0

BasePipeContinuity.ContinuityType

G1

CreateCurves

0

ExtendFlange

1

FlangeFactor

0

FlangePipeContinuity.ContinuityType

G0

Gap.Value

5 (millimeters part), 0.2 (inches part)

LengthLaw.LawType

MultiTransition

MergeFacesIfPossible

0

RadiusLaw.LawType

MultiTransition

ReferenceDirectionOption

NormalDraft

ShowPipe

0

TrimBaseFaces

0

Type

Basic

Created in NX6.0.0

Member Enumeration Documentation

Output surface options

Enumerator
BlendFlange 

Output blend and flange surfaces

PipeOnly 

Output pipe

FlangeOnly 

Output flange surface

Reference direction options

Enumerator
FaceNormal 

Create flange along face normal

Vector 

Create flange along reference vector

NormalDraft 

Create flange along silhouette curve and face normal

VectorDraft 

Create flange along silhouette curve and reference vector

Silhouette flange creation types

Enumerator
Basic 

Basic Silhouette Flange

AbsoluteGap 

Absolute gap Silhouette Flange

VisualGap 

Visual gap Silhouette Flange

Member Function Documentation

unsafe void NXOpen.Features.SilhouetteFlangeBuilder.CreatePipe ( )
inline

Create the tube from the given inputs.

The tube must be created before creating any flange surface.

Created in NX12.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Curve NXOpen.Features.SilhouetteFlangeBuilder.GetCenterCurve ( )
inline

Return the center curve

Created in NX8.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.GetIsDirectionFlipped ( )
inline

A value indicating whether to flip the direction.

If the direction is flipped, the pipe is placed to the opposite side of base faces and flange direction is flipped.

Created in NX6.0.0

License requirements: None.

Returns
unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.GetIsSideFlipped ( )
inline

Returns a value indicating whether to flip the side.

If the side is flipped, the pipe is placed to the other side of base curves for Basic Type and the other side of the pipe of the parent feature for Absolute/Visual Gap Type.

Created in NX6.0.0

License requirements: None.

Returns
unsafe NXOpen.Curve NXOpen.Features.SilhouetteFlangeBuilder.GetSilhouetteCurve ( )
inline

Return the silhouette curve

Created in NX8.0.0

License requirements: None.

Returns
unsafe void NXOpen.Features.SilhouetteFlangeBuilder.SetIsDirectionFlipped ( bool  flipDirection)
inline

Sets a flag indicating if the direction is flipped.

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
flipDirection
unsafe void NXOpen.Features.SilhouetteFlangeBuilder.SetIsSideFlipped ( bool  flipSide)
inline

Sets a value indicating whether to flip the side.

If the side is flipped, the pipe is placed to the other side of base curves for Basic Type and the other side of the pipe of the parent feature for Absolute/Visual Gap Type.

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
flipSide
unsafe void NXOpen.Features.SilhouetteFlangeBuilder.UpdateLawSpine ( )
inline

Update the spine curve in length/angle/radius laws.

All laws use the center line curve of the pipe as the spine curve. This API should be called if the pipe should be reconstructed due to any input change.

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Property Documentation

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SilhouetteFlangeBuilder.AngleLaw
get

Returns the angle law.

The only supported law type is GeometricUtilities.LawBuilder.Type.MultiTransition .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.SilhouetteFlangeBuilder.BaseCurves
get

Returns the base curves.

Base curves must be G1 continuous.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.SilhouetteFlangeBuilder.BaseFaces
get

Returns the base faces.

The base faces could be from different sheet bodies, but they must be G1 continuous.

Created in NX6.0.0

License requirements: None.

unsafe int NXOpen.Features.SilhouetteFlangeBuilder.BaseFactor
getset

Returns or sets the base pipe continuity factor.

It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the base faces and the pipe.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SilhouetteFlangeBuilder.BasePipeContinuity
get

Returns the base pipe continuity.

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.CreateCurves
getset

Returns or sets a value that indicates whether to create curves.

When this option is true, the center line curve of the pipe and silhouette flange curve at zero degrees will be output.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.ExtendFlange
getset

Returns or sets a value that indicates whether to extend flange until the boundary edges of the base faces.

This option will be enforced if Trim Base Faces option is true. The base faces cannot be trimmed if the pipe does not hit the boundary edges of base faces.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.SilhouetteFlangeBuilder.FlangeFactor
getset

Returns or sets the flange pipe continuity factor.

It's used to determine what percentage of the arc will be trimmed away in order to build the transition surface between the pipe and flange surface.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.Continuity NXOpen.Features.SilhouetteFlangeBuilder.FlangePipeContinuity
get

Returns the flange pipe continuity

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SilhouetteFlangeBuilder.Gap
get

Returns the gap

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SilhouetteFlangeBuilder.LengthLaw
get

Returns the length law.

The only supported law type is GeometricUtilities.LawBuilder.Type.MultiTransition .

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.MergeFacesIfPossible
getset

Returns or sets a value that indicates whether to the merge faces if possible

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SilhouetteFlangeBuilder.OutputSurfaceOptions NXOpen.Features.SilhouetteFlangeBuilder.OutputSurfaceOption
getset

Returns or sets the output surface option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SelectFeature NXOpen.Features.SilhouetteFlangeBuilder.ParentFeature
get

Returns the parent feature.

Parent feature must be a Silhouette Flange feature. A NXOpen.Features.SilhouetteFlangeBuilder.Types.VisualGap silhouette flange and its parent Silhouette Flange feature should use parallel vectors as reference direction.

Created in NX6.0.0

License requirements: None.

unsafe double NXOpen.Features.SilhouetteFlangeBuilder.PositionTolerance
getset

Returns or sets the position tolerance

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.SilhouetteFlangeBuilder.RadiusLaw
get

Returns the radius law.

The only supported law type is GeometricUtilities.LawBuilder.Type.MultiTransition .

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SilhouetteFlangeBuilder.ReferenceDirectionOptions NXOpen.Features.SilhouetteFlangeBuilder.ReferenceDirectionOption
getset

Returns or sets the reference direction option

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.ScCollector NXOpen.Features.SilhouetteFlangeBuilder.ReferenceFaces
get

Returns the reference faces.

If any reference face is selected for NXOpen.Features.SilhouetteFlangeBuilder.ReferenceDirectionOptions.FaceNormal case, the normal of reference face is used as the reference direction. Otherwise, the normal of base faces will be used as the reference direction.

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.SilhouetteFlangeBuilder.ReferenceVector
getset

Returns or sets the reference vector

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.ShowPipe
getset

Returns or sets a value that indicates whether to show pipe

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.SilhouetteFlangeBuilder.TangentTolerance
getset

Returns or sets the tangent tolerance

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe bool NXOpen.Features.SilhouetteFlangeBuilder.TrimBaseFaces
getset

Returns or sets a value that indicates whether to trim base faces

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.SilhouetteFlangeBuilder.Types NXOpen.Features.SilhouetteFlangeBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.